The Tax Withholding Group object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

group_name string required
The Tax Withholding Group object
{
  "id": "tax-withholding-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "group_name": "group_name_example"
}
GET /api/accounts/tax-withholding-group/{id}

Retrieve a tax withholding group

Retrieves the details of an existing tax withholding group. Supply the unique tax withholding group ID that was returned from a previous request.

Path parameters

id string required

The identifier of the tax withholding group to retrieve.

Returns

Returns the tax withholding group object if a valid identifier was provided.

GET /api/accounts/tax-withholding-group/{id}
curl https://api.overplane.dev/api/accounts/tax-withholding-group/tax-withholding-group_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "tax-withholding-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "group_name": "group_name_example"
}
GET /api/accounts/tax-withholding-group

List all tax withholding groups

Returns a list of tax withholding groups. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of tax withholding group objects.

GET /api/accounts/tax-withholding-group
curl https://api.overplane.dev/api/accounts/tax-withholding-group \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "tax-withholding-group_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "group_name": "group_name_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/tax-withholding-group

Create a tax withholding group

Creates a new tax withholding group object.

Body parameters

group_name string required

Returns

Returns the newly created tax withholding group object if the call succeeded.

POST /api/accounts/tax-withholding-group
curl https://api.overplane.dev/api/accounts/tax-withholding-group \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"group_name":"group_name_example"}'
Response
{
  "id": "tax-withholding-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "group_name": "group_name_example"
}
PATCH /api/accounts/tax-withholding-group/{id}

Update a tax withholding group

Updates the specified tax withholding group by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the tax withholding group to update.

Body parameters

group_name string

Returns

Returns the updated tax withholding group object.

PATCH /api/accounts/tax-withholding-group/{id}
curl https://api.overplane.dev/api/accounts/tax-withholding-group/tax-withholding-group_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"group_name":"group_name_example"}'
Response
{
  "id": "tax-withholding-group_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "group_name": "group_name_example"
}
DELETE /api/accounts/tax-withholding-group/{id}

Delete a tax withholding group

Permanently deletes a tax withholding group. This cannot be undone.

Path parameters

id string required

The identifier of the tax withholding group to delete.

Returns

Returns a confirmation that the tax withholding group has been deleted.

DELETE /api/accounts/tax-withholding-group/{id}
curl https://api.overplane.dev/api/accounts/tax-withholding-group/tax-withholding-group_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "tax-withholding-group_abc123",
  "deleted": true
}